{% extends 'base.html.twig' %}

{% block scripts %}
    <script src="{{ asset('/scripts/bootstrap_datepicker.js') }}"></script>
{% endblock %}

{% block title %}New Transaction{% endblock %}

{% block stylesheets %}
    <link href="{{ asset('/css/transaction_form.css') }}" rel="stylesheet">
    {{ parent() }}
{% endblock %}

{% block body %}
    {% include '/parts/header.html.twig' with {'page': 'register'} %}

    <div class="content">
        <div class="title center-align">
            <h1>{{ title }}</h1>
        </div>
        <div class="row">
            <div class="bg-light center-align">
                <div style="margin-left: 2em; padding-top: 2em;">
                    <a class="btn btn-secondary" href="{{ path('app_transactions') }}">Cancel</a>
                </div>
                <div id="transaction-form">
                    {{ form(transaction_form) }}
                </div>
            </div>
        </div>
    </div>

    {% include '/parts/footer.html.twig' %}
{% endblock %}
